Webhooks

Create webhook

Subscribe to real-time events delivered to your server over HTTP.

POST
/webhooks

Subscribe to real-time events delivered to your server over HTTP.

Authorization

ApiKeyAuth
X-API-Key<token>

Voice platform authentication secret. Create one from the API Keys endpoint or your dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "https://hooks.acme.com/voice",    "events": [      "call.completed",      "tool.invoked"    ]  }'
{  "id": "string",  "url": "string",  "events": [    "string"  ],  "secretHint": "string",  "isActive": true}
{  "statusCode": 400,  "message": [    "name should not be empty"  ],  "error": "Bad Request"}
{  "statusCode": 401,  "message": "Unauthorized",  "error": "Unauthorized"}